com.jscape.inet.telnet.options

## Class TerminalType

- java.lang.Object
- - com.jscape.inet.telnet.TelnetOption
  - - com.jscape.inet.telnet.options.TerminalType

- All Implemented Interfaces:
    java.lang.Cloneable

      public class TerminalType
      extends TelnetOption

  Represents the TERMINAL TYPE Telnet option as defined in RFC 1091. This option is used for negotiation of display options with the server.

  Example:

  TerminalType term = new TerminalType("dumb"); *
  Author:
    vglass

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminalType()` Creates a new TerminalType instance.
    `TerminalType(java.lang.String terminalType)` Creates a new TerminalType instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTerminalType()` Gets the terminal type.
    `void` | `readSubnegotiation(java.io.InputStream in)` Reads subnegotiation data for this TelnetOption
    `void` | `setTerminalType(java.lang.String terminalType)` Sets the terminal type.
    `void` | `writeSubnegotiation(java.io.OutputStream out)` Writes subnegotiation data for this TelnetOption.

    - ### Methods inherited from class com.jscape.inet.telnet.TelnetOption

      `getOptionCode, getOptionName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminalType

          public TerminalType()

      Creates a new TerminalType instance.

    - #### TerminalType

          public TerminalType(java.lang.String terminalType)

      Creates a new TerminalType instance.
      Parameters:
        `terminalType` - the terminal type

  - ### Method Detail

    - #### writeSubnegotiation

          public void writeSubnegotiation(java.io.OutputStream out)
                                   throws java.io.IOException

      Writes subnegotiation data for this TelnetOption.
      Overrides:
        `writeSubnegotiation` in class `TelnetOption`
      Parameters:
        `out` - the OutputStream to write data to.
      Throws:
        `java.io.IOException` - if an I/O related error occurs.

    - #### readSubnegotiation

          public void readSubnegotiation(java.io.InputStream in)
                                  throws java.io.IOException

      Reads subnegotiation data for this TelnetOption
      Overrides:
        `readSubnegotiation` in class `TelnetOption`
      Parameters:
        `in` - the InputStream to read from
      Throws:
        `java.io.IOException` - if an I/O related error occurs

    - #### getTerminalType

          public java.lang.String getTerminalType()

      Gets the terminal type.
      Returns:
        terminal type

    - #### setTerminalType

          public void setTerminalType(java.lang.String terminalType)

      Sets the terminal type.
      Parameters:
        `terminalType` - the terminal type

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved